Skip to main content
PATCH
/
v1
/
wallets
/
{walletId}
Update a wallet
curl --request PATCH \
  --url https://api.paystack.com/v1/wallets/{walletId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "label": "<string>",
  "metadata": {}
}
'
{
  "status": true,
  "message": "Wallet updated successfully",
  "code": "ok",
  "data": {
    "id": "wal_01HXYZABC1234567890ABCDEFG",
    "customer_id": "cust_01HXYZABC1234567890ABCDEFG",
    "currency": "USDC",
    "available_balance": "1234.567890",
    "pending_balance": "0.000000",
    "total_balance": "1234.567890",
    "metadata": {},
    "provisioned": false,
    "created_at": "2026-05-20T12:00:00.000Z",
    "updated_at": "2026-05-20T12:00:00.000Z",
    "label": "USDC Operating Wallet"
  },
  "meta": {
    "request_id": "req_01HXYZ4K5ABCDEFGHJKLMNPQRS",
    "timestamp": "2026-05-14T15:43:55.732Z",
    "version": "1"
  }
}

Authorizations

Authorization
string
header
required

API key issued during merchant onboarding.

Path Parameters

walletId
string
required
Pattern: [^\/#\?]+?

Body

application/json

UpdateWalletDto

label
string
Required string length: 1 - 255
metadata
object

Response

Wallet updated successfully

status
enum<boolean>
required
Available options:
true
Example:

true

message
string
required

Human-readable summary

Example:

"Wallet updated successfully"

code
enum<string>
required
Available options:
ok
Example:

"ok"

data
object
required
meta
object
required